Subject: Re: [PATCH] gnu: Openbox: Make compatible with Python 3.

From: Vinicius Monego <[email-masked]>
Date: Sun, 06 Feb 2022 18:56:14 +0000

Em qui, 2022-01-20 às 13:11 -0500, Leo Famulari escreveu:
> As the patch file says, Openbox seems abandoned upstream. So, as
> Python 2 is
> phased out, we can either use a patch like this, or remove Openbox.
> 
> I rebuilt all affected packages on x86_64-linux, and there were no
> new build
> failures, only the same failures as before this patch:
> 
> kdepim-runtime-20.04.1
> kmail-20.04.1
> akregator-20.04.1
> scorep-openmpi-3.1
> smb4k-3.0.6
> 

[...]

I noticed that with 'python' the shebang in libexec/openbox-xdg-
autostart becomes '#!/usr/bin/env python' while with python-wrapper it
changes to the store path.

I also 'cat' that file and the code is still in Python 2. Can you check
this?

openbox.scm is missing the copyright line, and python2-xdg should be
changed to python-xdg. There are trailing whitespaces in the patch.